
% Plot three single value functions

% Draw the graph of the function x.^2 - 2*x -3;

x = -2:4;       % x points in the range [-2, 4] with step 1
x = x';         % column vector
y = x.^2 - 2*x -3;
plot(x,y,'*-');
%view(3);  % view allows to view in 3D a two-dimensional plot 

pause(10);      % wait for 10 seconds before plotting the next function
close;

% draw the graph of the previous function with a better resolution

x = linspace(-2,4,200); % use linspace for better resolution: 200 equally spaced points in [-2, 4]
x = x';
y = x.^2 - 2*x -3;
plot(x,y,'b-');         % plot line with blue color
 
pause(10);      % wait 10 seconds before plotting the next function
close;
 
% draw the graph of the function y = 3*x*exp(-0.25*x) in the x range [-5, 25]
 
x = linspace(-5,25,200);
x = x';
y = 3*x.*exp(-0.25*x);
plot(x,y,'r-');     % plot line with red color