%This script is about plotting datasets

%The first very simple task is to plot a point in the bidimensional plane

x=11;
y=48;
plot(x,y,'r*'); %plot the point
 
xlabel('Time'); %assign a label to the x-axis
ylabel('Temperature'); %assign a label to the y-axis
title('Time and Temperature'); %assign a title to the plot

pause(10);      % wait for 10 seconds before plotting the next data set
close;          % close the graph
 
x1=14;
y1=32;
plot(x,y,'r*',x1,y1,'b+'); %plot 2 points
axis([x-2 x1+2 y1-2 y+2]); %set the bounds for the axes

pause(10);      % wait for 10 seconds before plotting the next data set
close;          % close the graph

% How to plot more points?
% Create a vector for x and a vector for y

x=1:0.5:6;
y=rand(1,length(x));
plot(x,y);

pause(10);      % wait for 10 seconds before plotting the next data set

% try now 
clf %clear the figure
plot(x,y,'r*-'); %plot the points linked with a line
hold on; %keep the figure to add it a new plot 
bar(x,y); %add the new plot to the same figure